
%global pypi_name django-pyscss

Name:           python-%{pypi_name}
Version:        2.0.2
Release:        1%{?dist}
Summary:        Makes it easier to use PySCSS in Django

License:        BSD
URL:            https://github.com/fusionbox/django-pyscss
Source0:        https://github.com/fusionbox/django-pyscss/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Patch00:        0001-make-tests-succeed-on-Django-1.7.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pillow
BuildRequires:  python-django-compressor >= 1.3
BuildRequires:  python-django-discover-runner
BuildRequires:  python-scss >= 1.2.0
BuildRequires:  python-django
BuildRequires:  python-pathlib
BuildRequires:  python-enum34
BuildRequires:  python-mock

Requires:       python-django >= 1.4
Requires:       python-scss >= 1.3.4
Requires:       python-pathlib
Requires:       python-enum34

Provides:       python2-%{pypi_name} = %{version}-%{release}

%description
A collection of tools for making it easier to use
pyScss within Django.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} setup.py test


%files
%doc README.rst LICENSE
%{python2_sitelib}/django_pyscss
%{python2_sitelib}/django_pyscss-%{version}-py?.?.egg-info

%changelog
* Mon Jul 13 2015 Matthias Runge <mrunge@redhat.com> - 2.0.2-1
- fix FTBFS and update (rhbz#1239832)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 17 2014 Matthias Runge <mrunge@redhat.com> - 1.0.5-1
- update to 1.0.5
- fix tests and utils.py to work with Django-1.7

* Fri Sep 26 2014 Matthias Runge <mrunge@redhat.com> - 1.0.3-1
- update to 1.0.3

* Thu Aug 07 2014 Matthias Runge <mrunge@redhat.com> - 1.0.2-1
- update to 1.0.2

* Tue Jul 08 2014 Matthias Runge <mrunge@redhat.com> - 1.0.1-2
- add br python-setuptools

* Tue Jul 08 2014 Matthias Runge <mrunge@redhat.com> - 1.0.1-1
- Initial package.
